@font-face {
  font-family: "Montserrat-Regular";
  src: url(./../assets/fonts/Montserrat/Montserrat-Regular.ttf)
    format("truetype");
  font-weight: 400;
}

@font-face {
  font-family: "Montserrat-SemiBold";
  src: url(./../assets/fonts/Montserrat/Montserrat-SemiBold.ttf)
    format("truetype");
  font-weight: 600;
}

@font-face {
  font-family: "Allura";
  src: url(./../assets/fonts/Allura/Allura-Regular.ttf) format("truetype");
  font-style: normal;
  font-weight: 400;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body.scroll {
  overflow: hidden;
}

html {
  font-size: 0.625rem;
  scroll-behavior: smooth;
}

a {
  text-decoration: none;
}

:root {
  --primary: #ff4646;
  --dark: #181c29;
  --static-white: #fff;
  --content-background: #ecf3f8;
  --tag-purple: #4361ff;
  --tag-pink: #ff43f7;
  --tag-green: #06a44f;
  --primary-10: rgba(255, 70, 70, 0.1);
  --static-white-20: rgba(255, 255, 255, 0.2);
  --static-white-40: rgba(255, 255, 255, 0.4);
  --overlay: rgba(24, 28, 41, 0.8);
}

:root {
  --font-regular: Montserrat-Regular, sans-serif;
  --font-bold: Montserrat-SemiBold, sans-serif;
  --font-allura: Allura, cursive;
}

:root {
  --width-fixed: 144rem;
  --margin-center: 0 auto;
}

.wrapper {
  max-width: var(--width-fixed);
  margin: var(--margin-center);
}

.container__logo-menu {
  max-width: 127.6rem;
  padding: 1.2rem 0;
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: var(--static-white);
  z-index: 10;
}

.logo__container {
  display: flex;
  align-items: center;
  padding: 0.8rem 2rem;
  border-radius: 1.2rem;
  transition: 0.5s ease-in-out;
}

@media screen and (max-width: 1250px) {
  .logo__container {
    margin-left: 0.8rem;
  }
}

.menu__container {
  width: 37.6rem;
  height: 4rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.burger-menu {
  display: inline-block;
  position: relative;
  width: 4rem;
  height: 4rem;
  padding: 15px 10px;
  margin-right: 8px;
  cursor: pointer;
  z-index: 20;
}

.burger-menu::after {
  content: "";
  position: absolute;
  width: 1.8rem;
  border: 0.05rem solid var(--dark);
  bottom: 15px;
  transition: transform 0.5s ease-in-out;
}

.burger-line {
  position: absolute;
  width: 2rem;
  border: 0.05rem solid var(--dark);
  transition: transform 0.5s ease-in-out;
}

.burger-menu.cross .burger-line {
  transform: rotate(45deg) translateY(5.5px);
}

.burger-menu.cross::after {
  transform: rotate(-45deg) translateY(-5.5px);
}

.text {
  font-family: var(--font-bold);
  font-size: 1.2rem;
  line-height: 130%;
  letter-spacing: 0.05em;
  text-transform: uppercase;
  color: var(--dark);
}

@media screen and (width < 769px) {
  .menu__container {
    display: inline-block;
    text-align: center;
    position: fixed;
    background-color: var(--static-white);
    width: 100%;
    height: 100vh;
    top: 64px;
    right: -100%;
    z-index: 5;
    padding-top: calc(50vh - 168px);
    transition: right 0.8s ease-in-out;
  }

  .title-burger {
    font-family: var(--font-bold);
    font-size: 2.4rem;
    line-height: 152%;
    letter-spacing: 0.16em;
    text-transform: uppercase;
  }

  .menu__container.visible {
    right: 0;
  }

  .menu__item {
    padding: 1.2rem 0;
    margin: 8px 0;
  }
}

@media screen and (width > 769px) {
  .burger-menu {
    display: none;
  }
}



.menu__item {
  list-style-type: none;
}

.link-padding {
  padding: 1.2rem 2rem;
  border-radius: 1.2rem;
  transition: all 0.4s ease-in-out;

}

@media (hover: hover) {
  .menu-hover:hover {
    color: var(--primary);
    background-color: var(--primary-10);
    cursor: pointer;
  }
}

.title-logo {
  margin: 0.4rem 0 0.4rem 0.8rem;
}


.container__hero {
  display: flex;
  justify-content: center;
  align-items: center;
  max-width: var(--width-fixed);
  margin: var(--margin-center);
  background: url(./../assets/background-img/bg-snow.png) center,
    url(./../assets/background-img/bg-ball.png) #ff4646 center;
  background-size: cover;
  border-radius: 2rem 2rem 0 0;
  padding: 6rem 0.8rem;
}

.content__hero {
  width: 42.6rem;
  display: flex;
  align-items: center;
  flex-direction: column;
  padding: 6rem 0;
  row-gap: 1.2rem;
}

.caption {
  font-family: var(--font-allura);
  font-size: 2.4rem;
  line-height: 100%;
  letter-spacing: 0.05em;
}

.container__hero,
.button-link,
.text-white,
.title-white {
  color: var(--static-white);
}

.title-1 {
  font-family: var(--font-bold);
  font-size: 3.2rem;
  line-height: 150%;
  letter-spacing: 0.175em;
  text-align: center;
  text-transform: uppercase;
}

.button {
  border-radius: 2rem;
  padding: 2rem 3.2rem;
  background-color: var(--dark);
}

.button-link {
  transition: all 0.5s ease-in-out;
}

@media (hover: hover) {
  .button-link:hover {
    color: var(--dark);
    background-color: var(--static-white);
  }
}

/* Section about */

.container__about {
  display: flex;
  justify-content: space-between;
  max-width: var(--width-fixed);
  margin: var(--margin-center);
  padding: 6rem 0.8rem;
  background: url(./../assets/background-img/bg-snow.png) center #ff4646;
  background-size: cover;
}

.content__about {
  display: flex;
  max-width: 1276px;
  justify-content: space-between;
  column-gap: 15.2rem;
  border-radius: 2rem;
  background-color: var(--static-white);
  padding: 0 0 0 6rem;
  margin: var(--margin-center);
  overflow: hidden;
}

.text-content {
  display: flex;
  flex-direction: column;
  row-gap: 2rem;
  align-items: start;
  margin: 10rem 0;
  width: 42.6rem;
  padding: 6rem 0;
}

@media screen and (max-width: 1280px) {
  .content__about {
    column-gap: clamp(6rem, 10vw, 15.2rem);
  }
  .text-content {
    margin: clamp(4.6rem, 6.5vw, 10rem) 0;
  }
}

@media screen and (max-width: 770px) {
  .content__about {
    column-gap: 6rem;
  }
  .text-content {
    margin: 4.6rem 0;
  }
}

@media screen and (max-width: 760px) {
  .content__about {
    column-gap: clamp(2rem, 7vw, 6rem);
  }

  .content__about {
    padding: 0 0 0 clamp(2rem, 7vw, 6rem);
  }

  .text-content {
    margin: clamp(0.1rem, 3vw, 4.6rem) 0;
  }
}

.title-2 {
  font-family: var(--font-bold);
  font-size: 2.4rem;
  line-height: 152%;
  letter-spacing: 0.16em;
  text-transform: uppercase;
}

.text-red {
  color: var(--primary);
}

.title-dark,
.text-dark {
  color: var(--dark);
}

.text-paragraph {
  font-family: var(--font-regular);
  font-size: 1.6rem;
  line-height: 149%;
}

.container-img {
  border-radius: 2rem;
  width: 63.8rem;
  background: url(./../assets/background-img/santa.png) center;
  background-size: cover;
}

@media screen and (max-width: 550px) {
  .content__about {
    flex-wrap: wrap;
  }
  .container-img {
    height: 528px;
  }

  .content__about {
    column-gap: 0;
  }

  .content__about {
    padding: 0;
  }

  .text-content {
    margin: clamp(0.1rem, 3vw, 4.6rem) 20px;
  }
}

@media screen and (max-width: 400px) {
  .text-content {
    margin: 0 20px;
  }
}

/* Slider Section */

.slider-wrapper {
  max-width: var(--width-fixed);
  margin: var(--margin-center);
  background: url(./../assets/background-img/bg-snow.png) center var(--primary);
  background-size: cover;
  padding: 6rem 8.2rem;
}

.section-slider {
  padding: 6rem 0 6rem 8.2rem;
  overflow: hidden;
}

.title-section {
  display: flex;
  flex-direction: column;
  row-gap: 1.2rem;
  align-items: center;
  margin-bottom: 2rem;
}

.title-slider-padding {
  padding-right: 8.2rem;
}

@media screen and (max-width: 1435px) {
  .section-slider {
    padding: 6rem 0 6rem clamp(6rem, 5vw, 8.2rem);
  }
  .title-slider-padding {
    padding-right: clamp(6rem, 5vw, 8.2rem);
  }
}

@media screen and (max-width: 1350px) {
  .section-slider {
    padding: 6rem 0 6rem clamp(4rem, 3.8vw, 6rem);
  }
  .title-slider-padding {
    padding-right: clamp(4rem, 3.8vw, 6rem);
  }
}

@media screen and (max-width: 1250px) {
  .section-slider {
    padding: 6rem 0 6rem clamp(2rem, 2.5vw, 4rem);
  }
  .title-slider-padding {
    padding-right: clamp(4rem, 2.5vw, 6rem);
  }
}

@media screen and (max-width: 769px) {
  .section-slider {
    padding: 6rem 0 6rem 0.8rem;
  }
  .title-slider-padding {
    padding-right: 0.8rem;
  }
}

.slider__container {
  height: 20rem;
  display: flex;
  align-items: center;
  overflow: hidden;
}

.slider-line {
  display: flex;
  column-gap: 2rem;
  align-items: center;
  height: 20rem;
  position: relative;
  left: 0;
  transition: left 0.6s ease-in-out;
}

.slider-text {
  font-family: var(--font-bold);
  font-size: 600;
  font-size: 8rem;
  color: var(--static-white);
  letter-spacing: 0.02rem;
}

.img-slider {
  border-radius: 2rem;
  width: 20rem;
  height: 20rem;
}

.slide-1 {
  background: url(./../assets/background-img/snowman.png) center;
  background-size: cover;
}

.slide-2 {
  background: url(./../assets/background-img/christmas-trees.png) center;
  background-size: cover;
}

.slide-3 {
  background: url(./../assets/background-img/christmas-tree-ball.png) center;
  background-size: cover;
}

.slide-4 {
  background: url(./../assets/background-img/fairytale-house.png) center;
  background-size: cover;
}

/* Button Slider */

button {
  all: unset;
}

.button-slider {
  border-radius: 2rem;
  display: flex;
  justify-content: end;
  align-items: center;
  margin: 2rem 8.2rem 0 0;
  column-gap: 2rem;
}

@media screen and (max-width: 1435px) {
  .button-slider {
    margin: 2rem clamp(6rem, 5vw, 8.2rem) 0 0;
  }
}

@media screen and (max-width: 1250px) {
  .button-slider {
    margin: 2rem clamp(4rem, 5vw, 6rem) 0 0;
  }
}

@media screen and (max-width: 769px) {
  .button-slider {
    margin: 2rem 0.8rem 0 0;
  }
}

.btn-box {
  border-radius: 2rem;
  width: 5.5rem;
  height: 5.5rem;
  text-align: center;
  stroke-width: 0.1em;
}

.arrow-left {
  border: 0.1rem solid var(--static-white-40);
}

.arrow-right {
  cursor: pointer;
  border: 0.1rem solid var(--static-white);
  transition: background-color 0.5s ease-in-out;
}

.arrow-right svg path {
  transition: stroke 0.5s ease-in-out;
}

.no-active-btn-slider {
  border: 0.1rem solid var(--static-white-40);
  cursor: default;
  stroke: var(--static-white-40);
}

.no-active-arrow-right svg path {
  stroke: var(--static-white-40);
}

.active {
  cursor: pointer;
  border: 0.1rem solid var(--static-white);
  transition: background-color 0.5s ease-in-out;
}

.active-arrow-left svg path {
  stroke: var(--static-white);
  stroke-opacity: 1;
}

@media (hover: hover) {
  .arrow-right:hover svg path {
    stroke: var(--primary);
    background-color: var(--static-white);
  }

  .arrow-right:hover {
    background-color: var(--static-white);
  }
}

/* Best Gifts Section */

.container {
  max-width: var(--width-fixed);
  margin: var(--margin-center);
  background: url(./../assets/background-img/bg-snow.png) center var(--primary);
  background-size: cover;
  padding: 6rem 0.8rem;
}

/* @media screen and (max-width: 1440) {
  .container {
    padding: 6rem 0.8rem;
  }
} */

.wrapper-cards {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  gap: 1.2rem;
  margin: var(--margin-center);
}

.card {
  display: flex;
  flex-direction: column;
  border-radius: 2rem;
  width: 31rem;
  height: 34.2rem;
  background: var(--content-background);
}

.text-card {
  border-radius: 2rem;
  padding: 2rem;
  height: 11.2rem;
  background: var(--static-white);
}

.color-text-1 {
  color: var(--tag-purple);
}

.color-text-2 {
  color: var(--tag-green);
}

.color-text-3 {
  color: var(--tag-pink);
}

.title-3 {
  font-family: var(--font-bold);
  font-size: 1.6rem;
  line-height: 152%;
  letter-spacing: 0.08em;
  text-transform: uppercase;
  color: var(--dark);
  padding-top: 0.8rem;
}

.img-container {
  width: 31rem;
  height: 23rem;
  object-fit: cover;
}

.card .title-3,
.img-container,
.text-card {
  transition: color 0.3s ease-in-out;
}

@media (hover: hover) {
  .card:hover .title-3 {
    cursor: pointer;
    color: var(--primary);
  }

  .card:hover .img-container,
  .text-card {
    cursor: pointer;
  }
}

.gift-for-work {
  background: url(./../assets/background-img/gift-for-work.png) center;
  background-size: cover;
}

.gift-for-health {
  background: url(./../assets/background-img/gift-for-health.png) center;
  background-size: cover;
}

.gift-for-harmony {
  background: url(./../assets/background-img/gift-for-harmony.png) center;
  background-size: cover;
}

/* Section CTA */

.section-cta {
  display: flex;
  justify-content: center;
  background: url(./../assets/background-img/bg-forest.png) center,
    url(./../assets/background-img/bg-snow.png) center var(--primary);
  background-size: cover;
  margin: var(--margin-center);
  padding: 6rem 0.8rem;
  border-radius: 0 0 2rem 2rem;
}

.content-cta {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 42.6rem;
  text-align: center;
  padding: 6rem 0;
  margin: 6rem 0;
  row-gap: 2rem;
}

.title-cta {
  color: var(--static-white);
  line-height: 150%;
}

.timer {
  display: flex;
  border-radius: 2rem;
  padding: 0.8rem 1.2rem 1.2rem;
  background: var(--static-white-40);
  margin-top: 0.8rem;
}

.box {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 7.9rem;
  height: 5.2rem;
}

.separator {
  margin: auto;
  height: 2rem;
  border: 0.04rem solid var(--static-white-40);
}

/* Section Footer */

.contacts-container {
  display: flex;
  justify-content: center;
  gap: 1.2rem;
  margin: 0 auto;
}

.footer-container {
  background: var(--static-white);
  padding: 6rem 0.8rem;
}

.link-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1.2rem;
  width: calc(1276px / 3 - 8px);
  padding: 2rem;
  border-radius: 2rem;
  background: var(--content-background);
  color: var(--dark);
}

@media screen and (max-width: 1060px) {
  .contacts-container {
    flex-wrap: wrap;
  }
  .link-container {
    flex-grow: 1;
  }
}

.link-container .title-2,
.title-3 {
  transition: color 0.3s ease-in-out;
}

@media (hover: hover) {
  .link-container:hover .title-2 {
    color: var(--primary);
  }

  .link-container:hover .title-3 {
    color: var(--primary);
  }
}

.remove-padding {
  padding-top: 0;
}

.santa-claus,
.christmas-tree,
.snake {
  width: 8rem;
  height: 8rem;
  background: url(./../assets/svg/santa-claus/Group.svg);
}

.christmas-tree {
  background: url(./../assets/svg/christmas-tree/christmas-tree.svg);
}

.snake {
  background: url(./../assets/svg/snake/snake.svg);
}

/* Social links */

.section-link {
  display: flex;
  flex-direction: column;
  row-gap: 1.2rem;
  margin-top: 5.8rem;
  align-items: center;
  background-color: var(--static-white);
}

.social-link-wrapper {
  display: flex;
  column-gap: 1.2rem;
}

.social-link {
  width: 4rem;
  height: 4rem;
  padding: 0.8rem;
}

.social-link svg path {
  transition: stroke 0.3s ease-in-out;
}

.link-school {
  transition: color 0.3s ease-in-out;
  color: var(--dark);
}

@media (hover: hover) {
  .social-link:hover svg path {
    stroke: var(--primary);
  }

  .link-school:hover {
    color: var(--primary);
  }
}

/* Modal */

.modal-background {
  display: flex;
  position: fixed;
  width: 100%;
  height: 100%;
  z-index: 1000;
  align-items: center;
  justify-content: center;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: var(--overlay);
}

.modal-container {
  display: flex;
  flex-direction: column;
  border-radius: 2rem;
  width: 40rem;
  position: relative;
  background: var(--content-background);
}

.modal-img {
  width: 40rem;
  height: 23rem;
}

.description {
  height: auto;
}

.margin-paragraph-modal {
  margin: 8px 0 0;
}

.margin-text {
  margin: 20px 0 8px;
}

.container-description {
  display: flex;
  flex-direction: column;
}

.container-subtitle {
  display: flex;
  align-items: center;
}

.subtitle {
  width: 51.1%;
  text-transform: capitalize;
}

.subtitle-gap {
  margin: 0 12px;
}

.container-snowflake {
  display: flex;
  width: 112px;
  gap: 8px;
  align-items: center;
  padding: 4px 0;
}

.snowflake {
  position: absolute;
  width: 16px;
  height: 16px;
  z-index: 10;
  background: url(./../assets/modal/snowflake.svg);
}

.snowflake-opacity {
  position: relative;
  width: 16px;
  height: 16px;
  z-index: 5;
  background: url(./../assets/modal/Vector.svg) center no-repeat;
}

/* Button close */

button {
  all: unset;
}

.close-btn {
  position: absolute;
  top: 12px;
  right: 12px;
  width: 4rem;
  height: 4rem;
  background: url(./../assets/modal/close.svg) center;
}

@media screen and (max-width: 450px) {
  .modal-container {
    width: 36.4rem;
  }
}

@media (hover: hover) {
  .close-btn:hover {
    cursor: pointer;
  }
  .modal-background:hover {
    cursor: pointer;
  }
  .modal-container:hover,
  .description:hover {
    cursor: default;
  }
}

.no-active {
  display: none;
}
